Package ghidra.app.util.bin.format.dwarf.line

# Enum Class DWARFLineContentType

java.lang.Object
java.lang.Enum<DWARFLineContentType>
ghidra.app.util.bin.format.dwarf.line.DWARFLineContentType

All Implemented Interfaces:
  `Serializable`, `Comparable<DWARFLineContentType>`, `Constable`

public enum DWARFLineContentType extends Enum<DWARFLineContentType>
Represents an identifier of a value in a DWARFLine/DWARFFile object.

Similar to the `DWARFAttribute` enum, both are identifiers of an attribute value that is serialized by a DWARFForm.

Users of this enum should be tolerant of unknown values.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DWARFLineContentType.Def`
  Defines a `DWARFLineContentType` attribute value.

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DW_LNCT_directory_index`
  `DW_LNCT_hi_user`
  `DW_LNCT_lo_user`
  `DW_LNCT_MD5`
  `DW_LNCT_path`
  `DW_LNCT_size`
  `DW_LNCT_timestamp`
  `DW_LNCT_UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DWARFLineContentType`
  `of(int id)`
  `static DWARFLineContentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DWARFLineContentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DW_LNCT_path

    public static final DWARFLineContentType DW_LNCT_path

  - ### DW_LNCT_directory_index

    public static final DWARFLineContentType DW_LNCT_directory_index

  - ### DW_LNCT_timestamp

    public static final DWARFLineContentType DW_LNCT_timestamp

  - ### DW_LNCT_size

    public static final DWARFLineContentType DW_LNCT_size

  - ### DW_LNCT_MD5

    public static final DWARFLineContentType DW_LNCT_MD5

  - ### DW_LNCT_lo_user

    public static final DWARFLineContentType DW_LNCT_lo_user

  - ### DW_LNCT_hi_user

    public static final DWARFLineContentType DW_LNCT_hi_user

  - ### DW_LNCT_UNKNOWN

    public static final DWARFLineContentType DW_LNCT_UNKNOWN

- ## Method Details

  - ### values

    public static DWARFLineContentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DWARFLineContentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static DWARFLineContentType of(int id)